Subject: Re: [PATCH 10/14] ps3: get firmware version

From: Geoff Levand <[email-masked]>
Date: Fri, 26 Jan 2007 15:12:26 -0800

Nathan Lynch wrote:
> Benjamin Herrenschmidt wrote:
> 
>> > Anyway, that is the need, the question is where to make it
>> > available.  I thought /proc/cpuinfo already has the platform type
>> > (coming from the generic powerpc code), so it would be convenient
>> > for utilities to have the firmware version there too.  I don't
>> > think parsing the dmsg is an option for minimal configs like
>> > bootloaders and distro installers, as they may not keep the boot
>> > messages around, and in general doesn't seem a reliable way.  If
>> > you can make a suggestion, I'd like to hear it.
>>
>> Yeah, /proc/cpuinfo is actually a fairly convenient place for that...
> 
> Other firmwares provide a property in the device tree with version
> information, for example on Power5:

But this firmware does not.  The kernel must do it sometime after
startup.  I don't see any reason why the kernel should try to
emulate the behavior of firmware on some other platform.

-Geoff